test: tagIMEUI struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagIMEUI Struct Reference

`#include <user.h>`

List of all members.

## Public Attributes

PWND | spwnd
HIMC | hIMC
HWND | hwndIMC
HKL | hKL
HWND | hwndUI
int | nCntInIMEProc
BOOL | fShowStatus:1
BOOL | fActivate:1
BOOL | fDestroy:1
BOOL | fDefault:1
BOOL | fChildThreadDef:1
KHIMC | hIMC
KHWND | hwndIMC
KHKL | hKL
KHWND | hwndUI
BOOL | fCtrlShowStatus:1
BOOL | fFreeActiveEvent:1

## Member Data Documentation

BOOL tagIMEUI::fActivate

| Definition at line 3209 of file inc/user.h. Referenced by ImeSelectHandler(), ImeSetContextHandler(), and ImeWndCreateHandler().

BOOL tagIMEUI::fChildThreadDef

| Definition at line 3212 of file inc/user.h.

BOOL tagIMEUI::fCtrlShowStatus

| Definition at line 3214 of file inc/user.h. Referenced by ImeControlHandler(), ImeSelectHandler(), ImeSetContextHandler(), and ImeWndCreateHandler().

BOOL tagIMEUI::fDefault

| Definition at line 3211 of file inc/user.h. Referenced by ImeSelectHandler().

BOOL tagIMEUI::fDestroy

| Definition at line 3210 of file inc/user.h. Referenced by DestroyIMEUI(), and ImeWndCreateHandler().

BOOL tagIMEUI::fFreeActiveEvent

| Definition at line 3215 of file inc/user.h.

BOOL tagIMEUI::fShowStatus

| Definition at line 3208 of file inc/user.h. Referenced by DestroyIMEUI(), ImeControlHandler(), ImeSelectHandler(), ImeSetContextHandler(), ImeWndCreateHandler(), SendOpenStatusNotify(), xxxCheckImeShowStatus(), and xxxNotifyImeShowStatus().

KHIMC tagIMEUI::hIMC

| Definition at line 3203 of file inc/user.h.

HIMC tagIMEUI::hIMC

| Definition at line 3098 of file client/nt6/user.h. Referenced by DefWindowProcWorker(), ImeSetImc(), and ImeSystemHandler().

KHKL tagIMEUI::hKL

| Definition at line 3205 of file inc/user.h.

HKL tagIMEUI::hKL

| Definition at line 3100 of file client/nt6/user.h. Referenced by ImeSystemHandler(), and ImeWndCreateHandler().

KHWND tagIMEUI::hwndIMC

| Definition at line 3204 of file inc/user.h.

HWND tagIMEUI::hwndIMC

| Definition at line 3099 of file client/nt6/user.h. Referenced by ImeNotifyHandler(), ImeSelectHandler(), ImeSetContextHandler(), ImeSystemHandler(), ImeWndCreateHandler(), xxxCheckImeShowStatus(), and xxxNotifyImeShowStatus().

KHWND tagIMEUI::hwndUI

| Definition at line 3206 of file inc/user.h.

HWND tagIMEUI::hwndUI

| Definition at line 3101 of file client/nt6/user.h.

int tagIMEUI::nCntInIMEProc

| Definition at line 3207 of file inc/user.h. Referenced by ImeWndCreateHandler(), ImeWndProcWorker(), SendMessageToUI(), and xxxSendMessageToUI().

PWND tagIMEUI::spwnd

| Definition at line 3202 of file inc/user.h. Referenced by CreateIMEUI(), ImeNotifyHandler(), ImeSetContextHandler(), ImeSetImc(), ImeSystemHandler(), ImeWndCreateHandler(), ImeWndProcWorker(), and SendMessageToUI().

The documentation for this struct was generated from the following files:

- client/nt6/user.h
- inc/user.h